[[blog:2013:11:apache-virtualhost-anlegen-forbidden]]

apache 2.4.x virtualhost anlegen - forbidden!

Auf einem anderen Server betreibe ich Apache 2.4.6 und beim anlegen eines neues VirtualHost erhalte ich kein Zugriff auf die Webseite: Forbidden. Im Log taucht folgendes auf:

AH01630: client denied by server configuration: /var/www2/

Apache hat seit 2.4.3 ein neues Security-Feature bekommen: Require. Per Default wird es in der httpd.conf auf On ausgeliefert. Den Hinweis und den Fix gefunden habe ich hier. Mehr dazu und wofür es gut ist:

http://httpd.apache.org/docs/current/misc/security_tips.html#protectserverfiles

<Directory /srv/www/public/>
   Order allow,deny
   Allow from all
   # die neue direktive:
   Require all granted
</Directory>

~~LINKBACK~~ ~~DISCUSSION~~

Cookies helfen bei der Bereitstellung von Inhalten. Durch die Nutzung dieser Seiten erklären Sie sich damit einverstanden, dass Cookies auf Ihrem Rechner gespeichert werden. Weitere Information
  • blog/2013/11/apache-virtualhost-anlegen-forbidden.txt
  • Zuletzt geändert: 2014/06/06 12:35
  • von haiko